Subject: Re: [secdir] draft-ietf-tcpm-tcpsecure

From: Lars Eggert <[email-masked]>
Date: Thu, 9 Jul 2009 10:06:57 +0300

Hi, Sandy,

On 2009-6-8, at 16:59, Sandra Murphy wrote:
> I've been on the road, so this is just a quick note to say that I  
> still
> have questions, with a promise of more full answer when I get back  
> to the
> office tomorrow.

the authors are still waiting to hear your additional questions.  
Please let me know when we can expect them, so I know when I can  
expect a revision from the authors.

Thanks,
Lars

>  All the following done really from memory from a
> re-review yesterday.  Just  so you know I haven't forgotten you.
>
> About quoting text:
>
> The example you point to of what each mitigation says is a good case.
> (what is "rg"?)
>
> You posit a case 1 and case 2.  This is a summary of what 793 says,  
> not a
> quote.  793 spreads the discussion over 2 pages.  your case 1 is
> represented in a parenthetical remark in an "otherwise" clause -  
> hard to
> find.  And you have a typo in the inequality.  And the case 2 in 793  
> is
> broken out over three different groupings of states.  Do you mean  
> the new
> ACK to be generated in all three state groups?
>
> About the stingency.
>
> If UNA is 1000, Max.snd.wnd is 50, and the ack is 975, then in 793,  
> the
> ack is < UNA and so "it is ignored", in your draft the ack is >
> UNA-max.snd.wnd so it is acceptable.
>
> So your draft accepts more ACKs that 793.
>
> Have I lost my ability to tell > from <?  Do you regard accepting more
> ACKS as "more stringent"?
>
> About the guidance to implementors.
>
> It still looks to me like this guidance is only useful to  
> implementors who
> are implementing both the OS TCP stack *AND* the application.  I.E.,
> freebsd won't know whether this to follow the guidance or not but
> cisco/juniper/etc will.
>
> What is the "AS"?
>
> About grammar checks:
>
> And you did not miss email, I lost my marked up copy, so I've  gone
> through for the grammar check again (don't think I found all that many
> nits) and will send to you.
>
> --Sandy
>
>